OPSS - Is there a patch or an extension for the PKI Credential Mapper which allows to access the certificates within the KSS keystore?

(Doc ID 2314127.1)

Last updated on NOVEMBER 01, 2017

Applies to:

Oracle Service Bus - Version 12.2.1.3.0 and later
Oracle Platform Security for Java - Version 12.1.3.0.0 and later
Information in this document applies to any platform.
No KSS Keystore Support for PKICredentialMappers.

Goal

Upgrading integrated product (e.g., Oracle Service Bus / OSB) domain / infrastructure from 11g to to 12.1.x.

For WebLogic (WLS) 12c, trying to use the KSS keystore to manage security certificates as recommended, but this setup is not consistent with WLS 12.1.x.

Need to use the new KSS keystore to maintain and store the servers identity certificates, and to keep it consistent throughout the domain.

OSB needs the configuration of a PKI Credential Mapper in Weblogic sever to support SSL, but the PKI CredentialMapper just supports JKS and PKCS12 and not KSS.

Is there a patch or an extension for the PKI Credential Mapper which allows to access the certificates within the KSS keystore from the PKI Credential Mapper too?

Oracle Weblogic reference:

Configuring a PKI Credential Mapping Provider

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms